This service will be undergoing disruptive maintenance at 7:00PM UTC, 2020-01-18. It is expected to last approximately one hour.
Bug 635126 - Review Request: rubygem-test-unit - Improved version of Test::Unit bundled in Ruby 1.8.x
Summary: Review Request: rubygem-test-unit - Improved version of Test::Unit bundled in...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1747655 (view as bug list)
Depends On:
Blocks: 635302
TreeView+ depends on / blocked
 
Reported: 2010-09-17 19:54 UTC by Mamoru TASAKA
Modified: 2019-09-04 12:39 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-09-25 21:38:32 UTC
mastahnke: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Mamoru TASAKA 2010-09-17 19:54:55 UTC
Spec URL: http://mtasaka.fedorapeople.org/Review_request/rubygem-test-unit/rubygem-test-unit.spec
SRPM URL: http://mtasaka.fedorapeople.org/Review_request/rubygem-test-unit/rubygem-test-unit-2.1.1-1.fc.src.rpm
Description: 
Test::Unit 2.x - Improved version of Test::Unit bundled in
Ruby 1.8.x.
Ruby 1.9.x bundles minitest not Test::Unit. Test::Unit
bundled in Ruby 1.8.x had not been improved but unbundled
Test::Unit (Test::Unit 2.x) will be improved actively.

koji scratch build
F-14: http://koji.fedoraproject.org/koji/taskinfo?taskID=2474343
F-13: http://koji.fedoraproject.org/koji/taskinfo?taskID=2474345

Comment 1 Mamoru TASAKA 2010-09-17 19:57:47 UTC
This is needed for updating ruby-cairo to 1.10.0 for testsuite

Comment 2 Michael Stahnke 2010-09-17 20:52:27 UTC
http://fedoraproject.org/wiki/Packaging:LicensingGuidelines#Combined_Dual_and_Multiple_Licensing_Scenario

Looks like you need to specify PFSL in the License: field as well, as one file is licensed under the Python license. 

Builds cleanly.
rpmlint is good. 


If you can fix that, I think you'll be approved.  I am going to wait to approve right now since it is a licensing issue.

Comment 3 Mamoru TASAKA 2010-09-17 21:07:27 UTC
Well, one file (lib/test/unit.rb) is actually under Ruby or GPLv2 or Python,
(dual of "ruby license" or Python), so the license tag can be
(Ruby or GPLv2) and (Ruby or GPLv2 or Python), however I think
"Ruby or GPLv2" is enough.

Comment 5 Michael Stahnke 2010-09-19 16:05:12 UTC
Package rubygem-test-unit Approved by stahnma

Comment 6 Mamoru TASAKA 2010-09-19 19:32:20 UTC
Thank you for review!

New Package SCM Request
=======================
Package Name:        rubygem-test-unit
Short Description:   Improved version of Test::Unit bundled in Ruby 1.8.x
Owners:              mtasaka
Branches:            f14 f13 f12
InitialCC:

Comment 7 Kevin Fenzi 2010-09-21 03:45:39 UTC
Git done (by process-git-requests).

Comment 8 Mamoru TASAKA 2010-09-25 21:38:32 UTC
Rebuilt for F-14/13/12, submitted push requests on bodhi.
Thank you for the review and GIT procedure, closing.

Comment 9 James Ni 2011-04-25 06:01:51 UTC
Hi,
Could you help to build it on epel6? or i can help you to build.

Comment 10 Mamoru TASAKA 2011-04-25 22:33:30 UTC
If you want to maintain this on EPEL6, please feel free to do so.

Comment 11 James Ni 2011-04-26 02:28:35 UTC
Package Change Request
======================
Package Name: rubygem-test-unit
New Branches: el6
Owners: jamesni
InitialCC: mtasaka petersen

Comment 12 Jan Klepek 2013-11-03 18:51:43 UTC
Package Change Request
======================
Package Name: rubygem-test-unit
New Branches: el6 el5
Owners: jamesni hpejakle
InitialCC: mtasaka petersen

Comment 13 Gwyn Ciesla 2013-11-04 12:40:48 UTC
Git done (by process-git-requests).

Comment 14 Vít Ondruch 2019-09-04 12:39:38 UTC
*** Bug 1747655 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.